> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Members of a Channel > Lists all channel users. The list of elements a user can use to sort the list is limited. The current sortable element is: `username`. If the channel is a broadcast channel, you need the `view-broadcast-member-list` permission. ### Changelog | Version | Description | | ------- | -------------------------------------------- | | 0.59.0 | Added | ## OpenAPI ````json GET /api/v1/channels.members { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.members": { "get": { "tags": [ "Channels" ], "summary": "Get Members of a Channel", "description": "Lists all channel users. The list of elements a user can use to sort the list is limited. The current sortable element is: `username`.\n\nIf the channel is a broadcast channel, you need the `view-broadcast-member-list` permission.\n\n### Changelog\n| Version | Description |\n| ------- | -------------------------------------------- |\n| 0.59.0 | Added |", "operationId": "get-api-v1-channels.members", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Optional-RoomId" }, { "$ref": "#/components/parameters/Optional-RoomName" }, { "name": "status", "in": "query", "description": "The user's status (search filter).", "schema": { "type": "array", "items": { "type": "string" }, "example": "['online', 'away']" } }, { "name": "filter", "in": "query", "description": "Extra search filters to be applied to the fields defined in the `Accounts_SearchFields`setting.", "schema": { "type": "string", "example": "my-nickname" } }, { "$ref": "#/components/parameters/sort" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/offset" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "members": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "status": { "type": "string" }, "_updatedAt": { "type": "string" }, "name": { "type": "string" }, "nickname": { "type": "string" }, "avatarETag": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "members": [ { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie", "status": "offline", "_updatedAt": "2023-09-24T22:27:33.61Z", "name": "test test", "nickname": "baby girl" }, { "_id": "5fRTXMt7DMJbpPJfh", "username": "test.test", "status": "offline", "_updatedAt": "2023-09-16T08:33:38.123Z", "name": "Testtest", "avatarETag": "GFoEi6wv3uAxnzDcD", "nickname": "test.test" } ], "count": 2, "offset": 0, "total": 2, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Optional-RoomId": { "name": "roomId", "in": "query", "description": "The room ID. It is required if the `roomName` is not provided.", "schema": { "type": "string" }, "example": "dlpfuijw7ej" }, "Optional-RoomName": { "name": "roomName", "in": "query", "description": "The room name. It is required if the `roomId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "general" }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {\"value\": -1, \"_id\": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````